Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.input
Class EventDriver.Dispatcher

    java.lang.Object
      |
      +--org.netbeans.jemmy.QueueTool.QueueAction
            |
            +--org.netbeans.jemmy.drivers.input.EventDriver.Dispatcher

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  EventDriver

protected class EventDriver.Dispatcher
extends QueueTool.QueueAction

Class used fot execution of an event through the dispatching thread.

Constructor Summary
`EventDriver.Dispatcher(java.awt.Component component, java.awt.AWTEvent e)` Constructs an EventDriver$Dispatcher object.

Method Summary
`java.lang.Object` | `launch()` Method to implement action functionality.

Methods inherited from class org.netbeans.jemmy.QueueTool.QueueAction
`getDescription, getException, getFinished, getResult, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDriver.Dispatcher

    public EventDriver.Dispatcher(java.awt.Component component,
                                  java.awt.AWTEvent e)

  Constructs an EventDriver$Dispatcher object.
  Parameters:
    `component` - a component to dispatch event to.
    `e` - an event to dispatch.

Method Detail

### launch

    public java.lang.Object launch()

  Description copied from class: `QueueTool.QueueAction`
  Method to implement action functionality.
  Overrides:
    `launch` in class `QueueTool.QueueAction`
  Following copied from class: `org.netbeans.jemmy.QueueTool.QueueAction`
  Returns:
    an Object - action result
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD